Docs 3.1 Native format /v1/video/query
API reference

Query video tasks

Query video generation status and results based on task ID.

GET/v1/video/query

Responses

200 success application/json
response-200 object
properties
enhanced_prompt string

Optimized prompt words Optimized prompt words

id string

Task ID Task ID

progress oneOf

progress percentage progress percentage

status string

task status task status

status_update_time integer

status update timestamp status update timestamp

video_url string

Video URL (available upon completion) Video URL (available upon completion)

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/v1/video/query" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"enhanced_prompt": "string",
3"id": "string",
4"progress": 0,
5"status": "pending",
6"status_update_time": 0,
7"video_url": "string"
8}